From edf1431b4f41cb44c987a764509d99e80d241ee3 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Fri, 10 May 2024 17:50:32 +0300
Subject: [PATCH 33/33] civ2civ3/sandbox: Add "Settlers" flag to "Fortress"
 units

Requested by bard

See RM #583

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/civ2civ3/units.ruleset | 24 ++++++++++++------------
 data/sandbox/units.ruleset  | 32 +++++++++++++++++++-------------
 2 files changed, 31 insertions(+), 25 deletions(-)

diff --git a/data/civ2civ3/units.ruleset b/data/civ2civ3/units.ruleset
index 46a53a0745..400f4d606d 100644
--- a/data/civ2civ3/units.ruleset
+++ b/data/civ2civ3/units.ruleset
@@ -677,7 +677,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress"
+flags         = "Capturer", "Fortress", "Settlers"
 roles         = "DefendOk", "DefendOkStartUnit", "FirstBuild"
 helptext      = _("\
 This unit may be built from the start of the game.  It is the\
@@ -710,7 +710,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress"
+flags         = "Capturer", "Fortress", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild"
 helptext      = _("\
 The Phalanx is armored infantry, suitable for defending your cities.\
@@ -742,7 +742,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress"
+flags         = "Capturer", "Fortress", "Settlers"
 roles         = "DefendOk", "Hut"
 helptext      = _("\
 Archers fight with bows and arrows and have a good offensive\
@@ -775,7 +775,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Marines", "Capturer", "Fortress"
+flags         = "Marines", "Capturer", "Fortress", "Settlers"
 roles         = "DefendOk", "BarbarianBuild", "BarbarianSea"
 helptext      = _("\
 Legions are heavily armed and well disciplined infantry\
@@ -808,7 +808,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress"
+flags         = "Capturer", "Fortress", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild"
 helptext      = _("\
 Equipped with long pikes, Pikemen replaces Phalanx\
@@ -841,7 +841,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Marines", "Capturer", "Fortress"
+flags         = "Marines", "Capturer", "Fortress", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild", "HutTech",
                 "BarbarianTech", "BarbarianBuildTech", "BarbarianSeaTech"
 helptext      = _("\
@@ -876,7 +876,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Marines", "Capturer", "Fortress"
+flags         = "Marines", "Capturer", "Fortress", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild"
 helptext      = _("\
 Riflemen are World War-era infantry, very good\
@@ -911,7 +911,7 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "IgTer", "Capturer", "Fortress"
+flags         = "IgTer", "Capturer", "Fortress", "Settlers"
 roles         = "DefendOk", "DefendOkStartUnit"
 helptext      = _("\
 Alpine Troops are highly mobile units as well as\
@@ -946,7 +946,7 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "IgTer", "IgZOC", "Capturer", "Fortress"
+flags         = "IgTer", "IgZOC", "Capturer", "Fortress", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "Partisan", "BarbarianTech"
 helptext      = _("\
 Partisans are guerilla fighters who are experts\
@@ -990,7 +990,7 @@ uk_gold       = 0
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "Fanatic", "AddToCity", "Capturer", "Fortress"
+flags         = "Fanatic", "AddToCity", "Capturer", "Fortress", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit"
 helptext      = _("\
 Fanatics are warriors extremely devoted to a higher cause.\
@@ -1028,7 +1028,7 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "Marines", "Capturer", "Fortress"
+flags         = "Marines", "Capturer", "Fortress", "Settlers"
 roles         = "DefendGood", "DefendOkStartUnit", "FirstBuild", "BarbarianSeaTech"
 helptext      = _("\
 Marines are infantry who are experts at marine warfare.\
@@ -1062,7 +1062,7 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "Paratroopers", "Capturer", "Fortress"
+flags         = "Paratroopers", "Capturer", "Fortress", "Settlers"
 roles         = "DefendOk"
 helptext      = _("\
 Paratroopers are experts at airborne attacks. From a friendly city, \
diff --git a/data/sandbox/units.ruleset b/data/sandbox/units.ruleset
index 8cfdaf2e78..e5f0285b74 100644
--- a/data/sandbox/units.ruleset
+++ b/data/sandbox/units.ruleset
@@ -692,7 +692,8 @@ uk_shield     = 1
 uk_food       = 0
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Cant_Fortify", "NonMil", "HasNoZOC", "Fortress", "FleshBased"
+flags         = "Cant_Fortify", "NonMil", "HasNoZOC", "Fortress",
+                "FleshBased", "Settlers"
 ; No veteran levels (level name is never displayed)
 veteran_names = _("green")
 veteran_base_raise_chance = 0
@@ -729,7 +730,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress", "FleshBased"
+flags         = "Capturer", "Fortress", "FleshBased", "Settlers"
 roles         = "DefendOk", "DefendOkStartUnit", "FirstBuild"
 helptext      = _("\
 This unit may be built from the start of the game.  It is the\
@@ -762,7 +763,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress", "FleshBased"
+flags         = "Capturer", "Fortress", "FleshBased", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild"
 helptext      = _("\
 The Phalanx is armored infantry, suitable for defending your cities.\
@@ -794,7 +795,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress", "FleshBased"
+flags         = "Capturer", "Fortress", "FleshBased", "Settlers"
 roles         = "DefendOk", "Hut"
 helptext      = _("\
 Archers fight with bows and arrows and have a good offensive\
@@ -827,7 +828,8 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Marines", "Capturer", "Fortress", "FleshBased"
+flags         = "Marines", "Capturer", "Fortress", "FleshBased",
+                "Settlers"
 roles         = "DefendOk", "BarbarianBuild", "BarbarianSea"
 helptext      = _("\
 Legions are heavily armed and well disciplined infantry\
@@ -860,7 +862,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Capturer", "Fortress", "FleshBased"
+flags         = "Capturer", "Fortress", "FleshBased", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild"
 helptext      = _("\
 Equipped with long pikes, Pikemen replaces Phalanx\
@@ -893,7 +895,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Marines", "Capturer", "Fortress", "FleshBased"
+flags         = "Marines", "Capturer", "Fortress", "FleshBased", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild", "HutTech",
                 "BarbarianTech", "BarbarianBuildTech", "BarbarianSeaTech"
 helptext      = _("\
@@ -928,7 +930,7 @@ uk_shield     = 1
 uk_food       = 1
 uk_gold       = 1
 tp_defense    = "Alight"
-flags         = "Marines", "Capturer", "Fortress", "FleshBased"
+flags         = "Marines", "Capturer", "Fortress", "FleshBased", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "FirstBuild"
 helptext      = _("\
 Riflemen are World War-era infantry, very good\
@@ -963,7 +965,8 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "IgTer", "Capturer", "Fortress", "SupplyLines", "FleshBased"
+flags         = "IgTer", "Capturer", "Fortress", "SupplyLines",
+                "FleshBased", "Settlers"
 roles         = "DefendOk", "DefendOkStartUnit"
 helptext      = _("\
 Alpine Troops are highly mobile units as well as\
@@ -998,7 +1001,8 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "IgTer", "IgZOC", "Capturer", "Fortress", "SupplyLines", "FleshBased"
+flags         = "IgTer", "IgZOC", "Capturer", "Fortress", "SupplyLines",
+                "FleshBased", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit", "Partisan", "BarbarianTech"
 helptext      = _("\
 Partisans are guerilla fighters who are experts\
@@ -1043,7 +1047,7 @@ tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
 flags         = "Fanatic", "AddToCity", "Capturer", "Fortress",
-                "SupplyLines", "FleshBased"
+                "SupplyLines", "FleshBased", "Settlers"
 roles         = "DefendGood", "DefendGoodStartUnit"
 helptext      = _("\
 Fanatics are warriors extremely devoted to a higher cause.\
@@ -1081,7 +1085,8 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "Marines", "Capturer", "Fortress", "SupplyLines", "FleshBased"
+flags         = "Marines", "Capturer", "Fortress", "SupplyLines",
+                "FleshBased", "Settlers"
 roles         = "DefendGood", "FirstBuild", "BarbarianSeaTech"
 helptext      = _("\
 Marines are infantry who are experts at marine warfare.\
@@ -1115,7 +1120,8 @@ uk_gold       = 1
 tp_defense    = "Alight"
 embarks       = "Helicopter"
 disembarks    = "Helicopter"
-flags         = "Paratroopers", "Capturer", "Fortress", "SupplyLines", "FleshBased"
+flags         = "Paratroopers", "Capturer", "Fortress", "SupplyLines",
+                "FleshBased", "Settlers"
 roles         = "DefendOk"
 helptext      = _("\
 Paratroopers are experts at airborne attacks. From a friendly city, \
-- 
2.43.0