From ce8d019cb61d842e38d1371339a0fa1dd0f9dba2 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sat, 11 May 2024 21:16:48 +0300
Subject: [PATCH 76/76] Drop double space from Coinage helptext

See RM #587

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/buildings.ruleset         | 2 +-
 data/civ2/buildings.ruleset          | 2 +-
 data/civ2civ3/buildings.ruleset      | 4 ++--
 data/classic/buildings.ruleset       | 4 ++--
 data/goldkeep/buildings.ruleset      | 4 ++--
 data/multiplayer/buildings.ruleset   | 2 +-
 data/sandbox/buildings.ruleset       | 4 ++--
 data/webperimental/buildings.ruleset | 4 ++--
 8 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/data/alien/buildings.ruleset b/data/alien/buildings.ruleset
index a6a58c8508..57ab4c1557 100644
--- a/data/alien/buildings.ruleset
+++ b/data/alien/buildings.ruleset
@@ -602,7 +602,7 @@ build_cost	= 999
 upkeep		= 0
 sabotage	= 0
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Coinage means its shield production is\
  converted to tax output (money, coins!).\
 ")
diff --git a/data/civ2/buildings.ruleset b/data/civ2/buildings.ruleset
index 9805a65b51..4a1a8d8091 100644
--- a/data/civ2/buildings.ruleset
+++ b/data/civ2/buildings.ruleset
@@ -1907,7 +1907,7 @@ build_cost	= 999
 upkeep		= 0
 sabotage	= 0
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Capitalization means its shield production is\
  converted to tax output (money).\
 ")
diff --git a/data/civ2civ3/buildings.ruleset b/data/civ2civ3/buildings.ruleset
index b833c5330f..dadf9ef4cc 100644
--- a/data/civ2civ3/buildings.ruleset
+++ b/data/civ2civ3/buildings.ruleset
@@ -2251,13 +2251,13 @@ sabotage	= 0
 ; FIXME: this is the real helptext; restore when have a subordnate analogue
 ; /* (ignore for gettext until fixed)
 ;helptext	= _("\
-;This is not a normal improvement.  Instead, setting a city's\
+;This is not a normal improvement. Instead, setting a city's\
 ; production to Capitalization means its shield production is\
 ; converted to tax output (money).\
 ;")
 ; */
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Coinage means its shield production is\
  converted to tax output (money, coins!).\
 ")
diff --git a/data/classic/buildings.ruleset b/data/classic/buildings.ruleset
index 76710cb87d..32ddf04e56 100644
--- a/data/classic/buildings.ruleset
+++ b/data/classic/buildings.ruleset
@@ -1960,13 +1960,13 @@ sabotage	= 0
 ; FIXME: this is the real helptext; restore when have a subordnate analogue
 ; /* (ignore for gettext until fixed)
 ;helptext	= _("\
-;This is not a normal improvement.  Instead, setting a city's\
+;This is not a normal improvement. Instead, setting a city's\
 ; production to Capitalization means its shield production is\
 ; converted to tax output (money).\
 ;")
 ; */
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Coinage means its shield production is\
  converted to tax output (money, coins!).\
 ")
diff --git a/data/goldkeep/buildings.ruleset b/data/goldkeep/buildings.ruleset
index ff77aa6136..cacd56f865 100644
--- a/data/goldkeep/buildings.ruleset
+++ b/data/goldkeep/buildings.ruleset
@@ -2027,13 +2027,13 @@ sabotage	= 0
 ; FIXME: this is the real helptext; restore when have a subordnate analogue
 ; /* (ignore for gettext until fixed)
 ;helptext	= _("\
-;This is not a normal improvement.  Instead, setting a city's\
+;This is not a normal improvement. Instead, setting a city's\
 ; production to Capitalization means its shield production is\
 ; converted to tax output (money).\
 ;")
 ; */
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Coinage means its shield production is\
  converted to tax output (money, coins!).\
 ")
diff --git a/data/multiplayer/buildings.ruleset b/data/multiplayer/buildings.ruleset
index dd5c6439c4..ef21e607b1 100644
--- a/data/multiplayer/buildings.ruleset
+++ b/data/multiplayer/buildings.ruleset
@@ -1951,7 +1951,7 @@ build_cost	= 999
 upkeep		= 0
 sabotage	= 0
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Coinage means its shield production is\
  converted to tax output (money, coins!).\
 ")
diff --git a/data/sandbox/buildings.ruleset b/data/sandbox/buildings.ruleset
index 22b7cc978e..262a730ad0 100644
--- a/data/sandbox/buildings.ruleset
+++ b/data/sandbox/buildings.ruleset
@@ -2492,13 +2492,13 @@ sabotage	= 0
 ; FIXME: this is the real helptext; restore when have a subordnate analogue
 ; /* (ignore for gettext until fixed)
 ;helptext	= _("\
-;This is not a normal improvement.  Instead, setting a city's\
+;This is not a normal improvement. Instead, setting a city's\
 ; production to Capitalization means its shield production is\
 ; converted to tax output (money).\
 ;")
 ; */
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Coinage means its shield production is\
  converted to tax output (money, coins!).\
 ")
diff --git a/data/webperimental/buildings.ruleset b/data/webperimental/buildings.ruleset
index 0cec1caf79..4c02e07be2 100644
--- a/data/webperimental/buildings.ruleset
+++ b/data/webperimental/buildings.ruleset
@@ -1968,13 +1968,13 @@ sabotage	= 0
 ; FIXME: this is the real helptext; restore when have a subordnate analogue
 ; /* (ignore for gettext until fixed)
 ;helptext	= _("\
-;This is not a normal improvement.  Instead, setting a city's\
+;This is not a normal improvement. Instead, setting a city's\
 ; production to Capitalization means its shield production is\
 ; converted to tax output (money).\
 ;")
 ; */
 helptext	= _("\
-This is not a normal improvement.  Instead, setting a city's\
+This is not a normal improvement. Instead, setting a city's\
  production to Coinage means its shield production is\
  converted to tax output (money, coins!).\
 ")
-- 
2.43.0