From 37ac448c69d6145f2773e8a3159d0f5c18bd2343 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Sun, 12 May 2024 02:23:11 +0300
Subject: [PATCH 79/79] Correct governments.ruleset comment typo "specifing"

See RM #592

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/governments.ruleset         | 2 +-
 data/civ1/governments.ruleset          | 2 +-
 data/civ2/governments.ruleset          | 2 +-
 data/civ2civ3/governments.ruleset      | 2 +-
 data/classic/governments.ruleset       | 2 +-
 data/goldkeep/governments.ruleset      | 2 +-
 data/granularity/governments.ruleset   | 2 +-
 data/multiplayer/governments.ruleset   | 2 +-
 data/ruledit/comments-3.3.txt          | 2 +-
 data/sandbox/governments.ruleset       | 2 +-
 data/stub/governments.ruleset          | 2 +-
 data/webperimental/governments.ruleset | 2 +-
 12 files changed, 12 insertions(+), 12 deletions(-)

diff --git a/data/alien/governments.ruleset b/data/alien/governments.ruleset
index 2c3ebd4448..ed546f12bb 100644
--- a/data/alien/governments.ruleset
+++ b/data/alien/governments.ruleset
@@ -41,7 +41,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/civ1/governments.ruleset b/data/civ1/governments.ruleset
index f34cce6858..3d5ca9ff49 100644
--- a/data/civ1/governments.ruleset
+++ b/data/civ1/governments.ruleset
@@ -42,7 +42,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/civ2/governments.ruleset b/data/civ2/governments.ruleset
index a19060894c..497144f872 100644
--- a/data/civ2/governments.ruleset
+++ b/data/civ2/governments.ruleset
@@ -40,7 +40,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/civ2civ3/governments.ruleset b/data/civ2civ3/governments.ruleset
index f2623a1bc7..2624ce02be 100644
--- a/data/civ2civ3/governments.ruleset
+++ b/data/civ2civ3/governments.ruleset
@@ -40,7 +40,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/classic/governments.ruleset b/data/classic/governments.ruleset
index 83810993b0..2e2f537394 100644
--- a/data/classic/governments.ruleset
+++ b/data/classic/governments.ruleset
@@ -40,7 +40,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/goldkeep/governments.ruleset b/data/goldkeep/governments.ruleset
index 27d95f4c45..e9d7b4f00d 100644
--- a/data/goldkeep/governments.ruleset
+++ b/data/goldkeep/governments.ruleset
@@ -42,7 +42,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/granularity/governments.ruleset b/data/granularity/governments.ruleset
index 423e4b5d66..ebc799e7d9 100644
--- a/data/granularity/governments.ruleset
+++ b/data/granularity/governments.ruleset
@@ -40,7 +40,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/multiplayer/governments.ruleset b/data/multiplayer/governments.ruleset
index 6db5fb7afc..7a2c95bfa9 100644
--- a/data/multiplayer/governments.ruleset
+++ b/data/multiplayer/governments.ruleset
@@ -40,7 +40,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/ruledit/comments-3.3.txt b/data/ruledit/comments-3.3.txt
index 87218b0e0e..4a60ac86f0 100644
--- a/data/ruledit/comments-3.3.txt
+++ b/data/ruledit/comments-3.3.txt
@@ -192,7 +192,7 @@ governments = "\
 ;                to rename an item after a ruleset has been released, you\n\
 ;                should set \"rule_name\" to the original value of \"name\".\n\
 ; reqs         = requirements for this government (see README.effects)\n\
-; graphic      = tag specifing preferred graphic\n\
+; graphic      = tag specifying preferred graphic\n\
 ; graphic_alt  = alternate graphics tag if preferred is not found;\n\
 ;                should be a standard tag if preferred is not;\n\
 ;                otherwise may be \"-\"\n\
diff --git a/data/sandbox/governments.ruleset b/data/sandbox/governments.ruleset
index c7cd21969a..83abfbcc22 100644
--- a/data/sandbox/governments.ruleset
+++ b/data/sandbox/governments.ruleset
@@ -40,7 +40,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/stub/governments.ruleset b/data/stub/governments.ruleset
index 187dd785bb..514266130b 100644
--- a/data/stub/governments.ruleset
+++ b/data/stub/governments.ruleset
@@ -31,7 +31,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
diff --git a/data/webperimental/governments.ruleset b/data/webperimental/governments.ruleset
index b8869ef150..ca2c4b255e 100644
--- a/data/webperimental/governments.ruleset
+++ b/data/webperimental/governments.ruleset
@@ -40,7 +40,7 @@ during_revolution = "Anarchy"
 ;                to rename an item after a ruleset has been released, you
 ;                should set "rule_name" to the original value of "name".
 ; reqs         = requirements for this government (see README.effects)
-; graphic      = tag specifing preferred graphic
+; graphic      = tag specifying preferred graphic
 ; graphic_alt  = alternate graphics tag if preferred is not found;
 ;                should be a standard tag if preferred is not;
 ;                otherwise may be "-"
-- 
2.43.0