From ddc877abcbc29025d02250c2ab6a7d84e165f5cc Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Tue, 14 May 2024 23:13:06 +0300
Subject: [PATCH 83/83] game.rulesets: Drop semicolon after
 world_peace.victory_turns entry

See RM #615

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 data/alien/game.ruleset         | 2 +-
 data/civ1/game.ruleset          | 2 +-
 data/civ2/game.ruleset          | 2 +-
 data/civ2civ3/game.ruleset      | 2 +-
 data/classic/game.ruleset       | 2 +-
 data/goldkeep/game.ruleset      | 2 +-
 data/granularity/game.ruleset   | 2 +-
 data/multiplayer/game.ruleset   | 2 +-
 data/sandbox/game.ruleset       | 2 +-
 data/stub/game.ruleset          | 2 +-
 data/webperimental/game.ruleset | 2 +-
 11 files changed, 11 insertions(+), 11 deletions(-)

diff --git a/data/alien/game.ruleset b/data/alien/game.ruleset
index 008a2b8d18..d67105d1a0 100644
--- a/data/alien/game.ruleset
+++ b/data/alien/game.ruleset
@@ -387,7 +387,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/civ1/game.ruleset b/data/civ1/game.ruleset
index fd4eff9d47..1138381910 100644
--- a/data/civ1/game.ruleset
+++ b/data/civ1/game.ruleset
@@ -372,7 +372,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year 1 instead of 0.
diff --git a/data/civ2/game.ruleset b/data/civ2/game.ruleset
index 0c26fdc28b..08ccb027a3 100644
--- a/data/civ2/game.ruleset
+++ b/data/civ2/game.ruleset
@@ -368,7 +368,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year 1 instead of 0.
diff --git a/data/civ2civ3/game.ruleset b/data/civ2civ3/game.ruleset
index 1def4c43e1..07bec6e92a 100644
--- a/data/civ2civ3/game.ruleset
+++ b/data/civ2civ3/game.ruleset
@@ -393,7 +393,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/classic/game.ruleset b/data/classic/game.ruleset
index f4aeea1838..21c901daf2 100644
--- a/data/classic/game.ruleset
+++ b/data/classic/game.ruleset
@@ -388,7 +388,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/goldkeep/game.ruleset b/data/goldkeep/game.ruleset
index 706fdad4f0..16b71331ea 100644
--- a/data/goldkeep/game.ruleset
+++ b/data/goldkeep/game.ruleset
@@ -391,7 +391,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/granularity/game.ruleset b/data/granularity/game.ruleset
index 791a4d26fd..46b13cd0cc 100644
--- a/data/granularity/game.ruleset
+++ b/data/granularity/game.ruleset
@@ -384,7 +384,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/multiplayer/game.ruleset b/data/multiplayer/game.ruleset
index e81327cec3..192f7f0675 100644
--- a/data/multiplayer/game.ruleset
+++ b/data/multiplayer/game.ruleset
@@ -391,7 +391,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/sandbox/game.ruleset b/data/sandbox/game.ruleset
index cf062f46ee..def640d676 100644
--- a/data/sandbox/game.ruleset
+++ b/data/sandbox/game.ruleset
@@ -391,7 +391,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/stub/game.ruleset b/data/stub/game.ruleset
index 5156c8e303..8357a4c527 100644
--- a/data/stub/game.ruleset
+++ b/data/stub/game.ruleset
@@ -375,7 +375,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
diff --git a/data/webperimental/game.ruleset b/data/webperimental/game.ruleset
index 27256acc1b..6a68dc0edc 100644
--- a/data/webperimental/game.ruleset
+++ b/data/webperimental/game.ruleset
@@ -392,7 +392,7 @@ migration_pml = 50
 
 [world_peace]
 ; How many turns of world peace is required for a World Peace Victory
-victory_turns = 20;
+victory_turns = 20
 
 [calendar]
 ; Year in the beginning of the game
-- 
2.43.0