From 15c96f23b6215fb2f17971fee74a96846f97dc93 Mon Sep 17 00:00:00 2001
From: Marko Lindqvist <cazfi74@gmail.com>
Date: Wed, 15 May 2024 03:14:12 +0300
Subject: [PATCH 84/84] sd3: Make theme capstrings sdl3-client specific ones

See RM #617

Signed-off-by: Marko Lindqvist <cazfi74@gmail.com>
---
 client/gui-sdl3/themespec.c                           | 8 ++++----
 data/themes/gui-sdl3/human/city.tspec                 | 2 +-
 data/themes/gui-sdl3/human/city_fist.tspec            | 2 +-
 data/themes/gui-sdl3/human/dip_icons.tspec            | 2 +-
 data/themes/gui-sdl3/human/icons.tspec                | 2 +-
 data/themes/gui-sdl3/human/small_theme_buttons.tspec  | 2 +-
 data/themes/gui-sdl3/human/tech_tree.tspec            | 2 +-
 data/themes/gui-sdl3/human/theme.themespec            | 2 +-
 data/themes/gui-sdl3/human/theme_boxs.tspec           | 2 +-
 data/themes/gui-sdl3/human/theme_buttons.tspec        | 2 +-
 data/themes/gui-sdl3/human/theme_orders_buttons.tspec | 2 +-
 data/themes/gui-sdl3/human/theme_scrolls.tspec        | 2 +-
 12 files changed, 15 insertions(+), 15 deletions(-)

diff --git a/client/gui-sdl3/themespec.c b/client/gui-sdl3/themespec.c
index f1057f8ce2..70f04bd272 100644
--- a/client/gui-sdl3/themespec.c
+++ b/client/gui-sdl3/themespec.c
@@ -47,11 +47,11 @@
 
 #include "themespec.h"
 
-#define THEMESPEC_SDL3_CAPSTR "+Freeciv-sdl2-3.3-themespec-Devel-2023-Jun-07 duplicates_ok"
+#define THEMESPEC_SDL3_CAPSTR "+Freeciv-sdl3-3.3-themespec-Devel-2023-Jun-07 duplicates_ok"
 /*
  * Themespec capabilities acceptable to this program:
  *
- * +Freeciv-3.3-sdl2-themespec  -  basic format for Freeciv versions 3.3.x;
+ * +Freeciv-3.3-sdl3-themespec  -  basic format for Freeciv versions 3.3.x;
  *                                 required
  *
  * duplicates_ok  -  we can handle existence of duplicate tags
@@ -59,11 +59,11 @@
  *                   have duplicates should specify "+duplicates_ok")
  */
 
-#define SPEC_SDL3_CAPSTR "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+#define SPEC_SDL3_CAPSTR "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 /*
  * Individual spec file capabilities acceptable to this program:
  *
- * +Freeciv-3.3-sdl2-spec  -  basic format for Freeciv versions 3.3.x; required
+ * +Freeciv-3.3-sdl3-spec  -  basic format for Freeciv versions 3.3.x; required
  */
 
 #define THEMESPEC_SUFFIX ".themespec"
diff --git a/data/themes/gui-sdl3/human/city.tspec b/data/themes/gui-sdl3/human/city.tspec
index e654abf176..09642116b0 100644
--- a/data/themes/gui-sdl3/human/city.tspec
+++ b/data/themes/gui-sdl3/human/city.tspec
@@ -2,7 +2,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/city_fist.tspec b/data/themes/gui-sdl3/human/city_fist.tspec
index f6c00bc0d7..84afa3b124 100644
--- a/data/themes/gui-sdl3/human/city_fist.tspec
+++ b/data/themes/gui-sdl3/human/city_fist.tspec
@@ -1,7 +1,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/dip_icons.tspec b/data/themes/gui-sdl3/human/dip_icons.tspec
index 20ca968a24..aed5659345 100644
--- a/data/themes/gui-sdl3/human/dip_icons.tspec
+++ b/data/themes/gui-sdl3/human/dip_icons.tspec
@@ -1,7 +1,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/icons.tspec b/data/themes/gui-sdl3/human/icons.tspec
index 22d9841d59..3ad1b766b9 100644
--- a/data/themes/gui-sdl3/human/icons.tspec
+++ b/data/themes/gui-sdl3/human/icons.tspec
@@ -1,7 +1,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/small_theme_buttons.tspec b/data/themes/gui-sdl3/human/small_theme_buttons.tspec
index 1e61535e37..7ec5d495ce 100644
--- a/data/themes/gui-sdl3/human/small_theme_buttons.tspec
+++ b/data/themes/gui-sdl3/human/small_theme_buttons.tspec
@@ -2,7 +2,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/tech_tree.tspec b/data/themes/gui-sdl3/human/tech_tree.tspec
index b784ce93b1..e65361732b 100644
--- a/data/themes/gui-sdl3/human/tech_tree.tspec
+++ b/data/themes/gui-sdl3/human/tech_tree.tspec
@@ -1,7 +1,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/theme.themespec b/data/themes/gui-sdl3/human/theme.themespec
index e7595a6393..006d839618 100644
--- a/data/themes/gui-sdl3/human/theme.themespec
+++ b/data/themes/gui-sdl3/human/theme.themespec
@@ -1,7 +1,7 @@
 [themespec]
 
 ; Format and options of this themespec file:
-options = "+Freeciv-sdl2-3.3-themespec-Devel-2023-Jun-07"
+options = "+Freeciv-sdl3-3.3-themespec-Devel-2023-Jun-07"
 
 ; A simple name for the themespec specified by this file:
 name = "human"
diff --git a/data/themes/gui-sdl3/human/theme_boxs.tspec b/data/themes/gui-sdl3/human/theme_boxs.tspec
index 6cc2b3bb72..c2aad9838d 100644
--- a/data/themes/gui-sdl3/human/theme_boxs.tspec
+++ b/data/themes/gui-sdl3/human/theme_boxs.tspec
@@ -2,7 +2,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/theme_buttons.tspec b/data/themes/gui-sdl3/human/theme_buttons.tspec
index fb001954a6..28024fb3e1 100644
--- a/data/themes/gui-sdl3/human/theme_buttons.tspec
+++ b/data/themes/gui-sdl3/human/theme_buttons.tspec
@@ -2,7 +2,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/theme_orders_buttons.tspec b/data/themes/gui-sdl3/human/theme_orders_buttons.tspec
index 6c9d3fa210..117f415a48 100644
--- a/data/themes/gui-sdl3/human/theme_orders_buttons.tspec
+++ b/data/themes/gui-sdl3/human/theme_orders_buttons.tspec
@@ -2,7 +2,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
diff --git a/data/themes/gui-sdl3/human/theme_scrolls.tspec b/data/themes/gui-sdl3/human/theme_scrolls.tspec
index 47594922ab..9ad61107c9 100644
--- a/data/themes/gui-sdl3/human/theme_scrolls.tspec
+++ b/data/themes/gui-sdl3/human/theme_scrolls.tspec
@@ -2,7 +2,7 @@
 [spec]
 
 ; Format and options of this spec file:
-options = "+Freeciv-sdl2-3.3-spec-Devel-2023-Jun-10"
+options = "+Freeciv-sdl3-3.3-spec-Devel-2023-Jun-10"
 
 [info]
 
-- 
2.43.0